## gnome-text-editor 42.0

=== meson_options.txt ===
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('enchant', type: 'feature', value: 'enabled', description: 'Use enchant for spellchecking')

## gnome-text-editor 41.1

=== debian/changelog ===
gnome-text-editor (41.1-1) experimental; urgency=medium

  * Initial release (Closes: #996646)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 27 Nov 2021 16:26:47 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-text-editor
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               itstool,
               libadwaita-1-dev,
               libenchant-2-dev (>= 2.2.0),
               libgirepository1.0-dev (>= 1.56),
               libglib2.0-dev (>= 2.69),
               libgtk-4-dev (>= 4.3),
               libgtksourceview-5-dev (>= 5.1.1),
               libicu-dev,
               meson (>= 0.50.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-text-editor

Package: gnome-text-editor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple text editor for GNOME
 GNOME Text Editor is a simple editor for GNOME focused on being a good
 general purpose default editor.
 .
 It works hard to keep track of changes and state even if you quit the
 application. You can come back to your work even if you've never saved
 it to a file.
 .
 It is simpler than gedit.

## gnome-text-editor 42~alpha2

=== debian/changelog ===
gnome-text-editor (42~alpha2-1build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 06:15:40 +0100

gnome-text-editor (42~alpha2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita, meson, gtk4, & gtksourceview5
  * debian/control.in: Build-Depend on desktop-file-utils
  * debian/control.in: Build-Depend on appstream-util for build tests
  * Drop all patches: applied in new release
  * Cherry-pick patch to fix build

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 20:39:04 -0500

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,18 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               appstream-util <!nocheck>,
+               desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.0.0),
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.69),
-               libgtk-4-dev (>= 4.3),
-               libgtksourceview-5-dev (>= 5.1.1),
+               libgtk-4-dev (>= 4.4),
+               libgtksourceview-5-dev (>= 5.3.1),
                libicu-dev,
-               meson (>= 0.50.0)
+               meson (>= 0.59.1)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git

## gnome-text-editor 42~beta1

=== debian/changelog ===
gnome-text-editor (42~beta1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/control.in: Bump minimum gtk4 to 4.6

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 18:53:06 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.69),
-               libgtk-4-dev (>= 4.4),
+               libgtk-4-dev (>= 4.6),
                libgtksourceview-5-dev (>= 5.3.1),
                libicu-dev,
                meson (>= 0.59.1)

## gnome-text-editor 42~rc1

=== debian/changelog ===
gnome-text-editor (42~rc1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 08:26:27 -0500

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libgtksourceview-5-dev (>= 5.3.1),
                libicu-dev,
                meson (>= 0.59.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
 Homepage: https://gitlab.gnome.org/GNOME/gnome-text-editor

## gnome-text-editor 42.0

=== debian/changelog ===
gnome-text-editor (42.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix appstream validation test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 07:40:33 -0400

gnome-text-editor (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 19:56:14 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,

## gnome-text-editor 42.1

=== debian/changelog ===
gnome-text-editor (42.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970041)
  * Bump minimum gtksourceview5 to 5.4.1
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 11:53:16 -0400

## gnome-text-editor 42.2

=== debian/changelog ===
gnome-text-editor (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1978700)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 11:23:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -17,12 +18,14 @@
                libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.69),
                libgtk-4-dev (>= 4.6),
-               libgtksourceview-5-dev (>= 5.3.1),
+               libgtksourceview-5-dev (>= 5.4.1),
                libicu-dev,
                meson (>= 0.59.1)
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git -b ubuntu/jammy
 Homepage: https://gitlab.gnome.org/GNOME/gnome-text-editor
 
 Package: gnome-text-editor

## gnome-text-editor 43.1

=== debian/changelog ===
gnome-text-editor (43.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian (LP: #1991713). Remaining change:
    - Build-Depend on libpcre3-dev as required by the bundled
      editorconfig-core library
  * Add patch to keep using bundled editorconfig-core library.
    The library isn't approved for unbundled use in Ubuntu main yet.
    See bug 1984104

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Oct 2022 08:28:32 -0400

gnome-text-editor (43.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/rules: Set bugreport URL for Debian and Ubuntu
  * Drop a patch applied in the new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2022 17:23:45 -0400

gnome-text-editor (43.0-3) unstable; urgency=medium

  * Drop a patch that broke Debian's autopkgtest

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2022 16:05:14 -0400

gnome-text-editor (43.0-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix some issues

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 16:29:41 -0400

gnome-text-editor (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Revert "Add patch to not require gtk4 4.7 or glib 2.73 yet"
  * debian/control.in: Bump minimum gtk4 and glib
  * Add debian/links to install short gted alias (LP: #1987556)
  * Add superficial autopkgtest

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Remove unused license definitions for LGPL-2+
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 08:50:08 -0400

gnome-text-editor (43~alpha1-1) unstable; urgency=medium

  * New upstream release
  * Add patch to not require gtk4 4.7 or glib 2.73 yet
  * debian/control.in: Bump minimum gtksourceview5 to 5.5.0
  * debian/control.in: Bump minimum libadwaita to 1.2~alpha
  * debian/control.in: Build-Depend on libeditorconfig-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 10:57:09 -0400

gnome-text-editor (42.2-1ubuntu2) kinetic; urgency=medium

  * Add debian/links to install short gted alias (LP: #1987556)
  * Build-Depend on libpcre3-dev. This change should be dropped for 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 09:31:39 -0400

gnome-text-editor (42.2-1ubuntu1) kinetic; urgency=medium

  * Use an ubuntu version number to block version 43 which
    requires editorconfig-core to be in main. See bug 1984104

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 11:01:12 -0400

gnome-text-editor (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (LP: #1978700)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 13 Jun 2022 14:33:42 -0300

gnome-text-editor (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970041)
  * Bump minimum gtksourceview5 to 5.4.1
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 11:53:16 -0400

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,20 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.0.0),
+               libadwaita-1-dev (>= 1.2~alpha),
+               libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
-               libglib2.0-dev (>= 2.69),
-               libgtk-4-dev (>= 4.6),
-               libgtksourceview-5-dev (>= 5.4.1),
+               libglib2.0-dev (>= 2.73),
+               libgtk-4-dev (>= 4.7),
+               libgtksourceview-5-dev (>= 5.5.0),
                libicu-dev,
+               libpcre3-dev,
                meson (>= 0.59.1)
-Standards-Version: 4.6.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git -b ubuntu/jammy
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
 Homepage: https://gitlab.gnome.org/GNOME/gnome-text-editor
 
 Package: gnome-text-editor

=== debian/tests/control ===
Tests: version
Depends: gnome-text-editor
Restrictions: allow-stderr superficial

## gnome-text-editor 43.2

=== debian/changelog ===
gnome-text-editor (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 09:31:54 -0500

gnome-text-editor (43.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/tests/version:
    - fix the case arguments order being reversed

  [ Jeremy Bicha ]
  * debian/tests/control: Drop unneeded allow-stderr
  * Drop patch: no longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 13:57:17 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -21,7 +20,6 @@
                libgtk-4-dev (>= 4.7),
                libgtksourceview-5-dev (>= 5.5.0),
                libicu-dev,
-               libpcre3-dev,
                meson (>= 0.59.1)
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	BUGTRACKER = https://bugs.launchpad.net/ubuntu/+source/gnome-text-editor/+filebug?no-redirect
else
	BUGTRACKER = https://www.debian.org/Bugs/Reporting
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dbugreport_url=$(BUGTRACKER)

## gnome-text-editor 44.0

=== debian/changelog ===
gnome-text-editor (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:38:13 -0400

gnome-text-editor (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:17:47 -0400

gnome-text-editor (44~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:27:33 -0500

gnome-text-editor (44~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 07:57:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
@@ -20,8 +20,8 @@
                libgtk-4-dev (>= 4.7),
                libgtksourceview-5-dev (>= 5.5.0),
                libicu-dev,
-               meson (>= 0.59.1)
-Standards-Version: 4.6.1
+               meson (>= 0.60.0)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git

## gnome-text-editor 45~beta

=== debian/changelog ===
gnome-text-editor (45~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:51:14 -0400

gnome-text-editor (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.4~beta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 14:27:01 -0400

## gnome-text-editor 45.0

=== debian/changelog ===
gnome-text-editor (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:11:30 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.2~alpha),
+               libadwaita-1-dev (>= 1.4~beta),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),

## gnome-text-editor 45.1

=== debian/changelog ===
gnome-text-editor (45.1-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:14 +0100

gnome-text-editor (45.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 09:50:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-text-editor
 Section: gnome
 Priority: optional

## gnome-text-editor 46.1

=== debian/changelog ===
gnome-text-editor (46.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 09:00:46 -0400

gnome-text-editor (46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - 46.rc:
      + Disable editing while document is loading
      + Discard still-loading documents when saving session
      + Fix some tab integration issues with libadwaita
    - 46.0:
      + Various performance workarounds have been added to the
        overview map to improve rendering performance and quality
        with fractional scaling.
  * debian/control: Bump minimum required libgtk-4-dev to 4.12
  * debian/control: Update Homepage to the new page on apps.gnome.org

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 09:36:23 -0400

gnome-text-editor (46~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - 46.alpha:
      + Make various UI elements conform better to GNOME HIG
      + Fix etag usage when comparing changes from GFileMonitor
      + Cancel document loading when tab or window closes.
        This fixes an issue where you could have 100% CPU doing
        Pango line breaking on extremely large files even after
        closing a window or tab.
      + Improve margin for RTL languages
      + Updated appdata/metainfo
      + Fix memory leak in usage of GtkNativeDialog
      + Work around some broken user configurations for XDG
        special directories
    - 46.beta:
      + Use AdwAboutDialog
      + Fix keyboard access to light/dark/follow theme selectors
      + Use GtkFontDialog instead of deprecated GtkFontChooserDialog
      + Check for files on disk before restoring drafts to avoid
        displaying deleted files.
      + Performance improvements to the minimap on GTKs new renderer
      + Avoid draft auto-save file the document is still loading
      + The language selection dialog is now modal
      + A new-window action was added to .desktop file for GNOME Shell
      + Improve support for closing a page while it is still loading
  * debian/control: Bump minimum required versions in Build-Depends
    following upstream
  * debian/copyright: Drop a vestigial Files paragraph

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 27 Feb 2024 08:10:44 -0500

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.4~beta),
+               libadwaita-1-dev (>= 1.5~beta),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.73),
-               libgtk-4-dev (>= 4.7),
-               libgtksourceview-5-dev (>= 5.5.0),
+               libgtk-4-dev (>= 4.12),
+               libgtksourceview-5-dev (>= 5.10.0),
                libicu-dev,
                meson (>= 0.60.0)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
-Homepage: https://gitlab.gnome.org/GNOME/gnome-text-editor
+Homepage: https://apps.gnome.org/TextEditor/
 
 Package: gnome-text-editor
 Architecture: any

## gnome-text-editor 46.3

=== debian/changelog ===
gnome-text-editor (46.3-0ubuntu2) noble; urgency=medium

  * debian: Backport patches to fix crash on launch (lp: #2075553)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Aug 2024 13:29:03 +0200

gnome-text-editor (46.3-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2070283)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Jun 2024 12:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,

## gnome-text-editor 47~beta

=== debian/changelog ===
gnome-text-editor (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, & libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 14:57:36 -0400

gnome-text-editor (46.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 10:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.5~beta),
+               libadwaita-1-dev (>= 1.6~beta),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
-               libglib2.0-dev (>= 2.73),
-               libgtk-4-dev (>= 4.12),
+               libglib2.0-dev (>= 2.80),
+               libgtk-4-dev (>= 4.15),
                libgtksourceview-5-dev (>= 5.10.0),
                libicu-dev,
                meson (>= 0.60.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git

## gnome-text-editor 47~rc

=== debian/changelog ===
gnome-text-editor (47~rc-1ubuntu1) oracular; urgency=medium

  [ Alessandro Astone ]
  * Temporarily vendor new libspelling dependency since it is too late to do
    a full MIR review for Ubuntu 24.10

  [ Jeremy Bícha ]
  * Branch for ubuntu/oracular
  * Remove Build-Depends: libspelling-1-dev
  * Update debian/copyright & debian/watch for vendored libspelling

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Sep 2024 15:10:11 -0400

gnome-text-editor (47~rc-1) experimental; urgency=medium

  * New upstream release
  * Add Build-Depends: libspelling-1-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Sep 2024 14:42:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -16,11 +17,14 @@
                libgtk-4-dev (>= 4.15),
                libgtksourceview-5-dev (>= 5.10.0),
                libicu-dev,
+#               libspelling-1-dev (>= 0.3.0),
                meson (>= 0.60.0)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/gnome-text-editor
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/gnome-text-editor.git
 Homepage: https://apps.gnome.org/TextEditor/
 
 Package: gnome-text-editor

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, \
component=libspelling" \
https://download.gnome.org/sources/libspelling/cache.json \
	[\d.]+/libspelling@ANY_VERSION@@ARCHIVE_EXT@

## gnome-text-editor 47.0

=== debian/changelog ===
gnome-text-editor (47.0-1ubuntu2) oracular; urgency=medium

  * Remove vendoring of libspelling (LP: #2083440)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Oct 2024 07:19:32 -0400

gnome-text-editor (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Temporarily vendor new libspelling dependency since it is too late to do
      a full MIR review for Ubuntu 24.10
    - Update debian/copyright & debian/watch for vendored libspelling
    - Remove Build-Depends: libspelling-1-dev
    - Branch for ubuntu/oracular

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 10:09:34 -0400

gnome-text-editor (47.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:39:22 -0400

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,12 @@
                libgtk-4-dev (>= 4.15),
                libgtksourceview-5-dev (>= 5.10.0),
                libicu-dev,
-#               libspelling-1-dev (>= 0.3.0),
+               libspelling-1-dev (>= 0.3.0),
                meson (>= 0.60.0)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/gnome-text-editor
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/gnome-text-editor.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
 Homepage: https://apps.gnome.org/TextEditor/
 
 Package: gnome-text-editor

## gnome-text-editor 47.1

=== debian/changelog ===
gnome-text-editor (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Oct 2024 12:17:36 +0100

## gnome-text-editor 47.2

=== debian/changelog ===
gnome-text-editor (47.2-1) unstable; urgency=medium

  * New upstream release (LP: #2088446)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 11:06:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-text-editor
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,

## gnome-text-editor 48~beta

=== debian/changelog ===
gnome-text-editor (48~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:15:11 -0500

gnome-text-editor (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4, libadwaita, and gtksourceview5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:49:29 -0500

## gnome-text-editor 48~rc

=== debian/changelog ===
gnome-text-editor (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 11:41:41 -0500

## gnome-text-editor 48.1

=== debian/changelog ===
gnome-text-editor (48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Mar 2025 09:39:33 -0400

## gnome-text-editor 48.2

=== debian/changelog ===
gnome-text-editor (48.2-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 27 Mar 2025 16:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.6~beta),
+               libadwaita-1-dev (>= 1.6.0),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.80),
-               libgtk-4-dev (>= 4.15),
-               libgtksourceview-5-dev (>= 5.10.0),
+               libgtk-4-dev (>= 4.17.3),
+               libgtksourceview-5-dev (>= 5.15.0),
                libicu-dev,
                libspelling-1-dev (>= 0.3.0),
                meson (>= 0.60.0)

## gnome-text-editor 48.3

=== debian/changelog ===
gnome-text-editor (48.3-4) unstable; urgency=medium

  * Team upload
  * d/control: Remove unused B-D on libgirepository1.0-dev
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 22:00:59 +0100

gnome-text-editor (48.3-3) unstable; urgency=medium

  * Team upload
  * Expand description of upstream changes in previous changelog entry
  * d/watch: Only watch for 48.x releases
  * d/gbp.conf: Use upstream/48.x branch for trixie
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 11:30:05 +0100

gnome-text-editor (48.3-2) experimental; urgency=medium

  * New upstream bugfix release
    - In tab titles, don't add spaces between non-Latin characters, fixing
      rendering of e.g. Devanagari
      (gnome-text-editor#793 upstream)
    - When showing cursor position, use visual column (e.g. tabs count as
      multiple spaces and combining characters don't count), rather than
      simply counting characters
      (gnome-text-editor#799 upstream)
    - Delay initialization of gtksourceview until we have a valid app ID,
      so that unsaved changes can inhibit logout via xdg-desktop-portal
      as intended
      (gnome-text-editor#804 upstream)
    - Update document name in Properties panel after "Save as"
      (gnome-text-editor#806 upstream)
    - Fix a memory leak
    - Translation updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:47:00 -0400

gnome-text-editor (48.2-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 09:04:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,20 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
                libadwaita-1-dev (>= 1.6.0),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
-               libgirepository1.0-dev (>= 1.56),
                libglib2.0-dev (>= 2.80),
                libgtk-4-dev (>= 4.17.3),
                libgtksourceview-5-dev (>= 5.15.0),
                libicu-dev,
                libspelling-1-dev (>= 0.3.0),
                meson (>= 0.60.0)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
 Homepage: https://apps.gnome.org/TextEditor/

=== debian/tests/control ===
Tests: version
Depends: gnome-text-editor
Restrictions: superficial

## gnome-text-editor 49.0

=== meson_options.txt ===
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('editorconfig', type: 'feature', value: 'enabled', description: 'Use editorconfig for file settings')
option('bugreport_url', type: 'string', value: 'https://gitlab.gnome.org/GNOME/gnome-text-editor/issues', description: 'URL to report issues. Distributions packaging Text Editor are encouraged to set this to their bugtracker.')

=== debian/changelog ===
gnome-text-editor (49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4, libadwaita, and libspelling

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:39:13 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libadwaita-1-dev (>= 1.6.0),
+               libadwaita-1-dev (>= 1.8~alpha),
                libeditorconfig-dev,
                libenchant-2-dev (>= 2.2.0),
                libglib2.0-dev (>= 2.80),
-               libgtk-4-dev (>= 4.17.3),
+               libgtk-4-dev (>= 4.19.4),
                libgtksourceview-5-dev (>= 5.15.0),
                libicu-dev,
-               libspelling-1-dev (>= 0.3.0),
+               libspelling-1-dev (>= 0.4.0),
                meson (>= 0.60.0)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dbugreport_url=$(BUGTRACKER)
+
+override_dh_gnome_clean:

## gnome-text-editor 49.1

=== debian/changelog ===
gnome-text-editor (49.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Jan 2026 15:37:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnome-text-editor
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -17,7 +16,7 @@
                libicu-dev,
                libspelling-1-dev (>= 0.4.0),
                meson (>= 0.60.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
 Homepage: https://apps.gnome.org/TextEditor/

## gnome-text-editor 50~beta

=== debian/changelog ===
gnome-text-editor (50~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release 50.beta

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 11 Feb 2026 15:41:03 +0800

=== debian/control ===
Source: gnome-text-editor
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: gnome
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               appstream <!nocheck>,
               desktop-file-utils,
               itstool,
               libadwaita-1-dev (>= 1.8~alpha),
               libeditorconfig-dev,
               libenchant-2-dev,
               libglib2.0-dev (>= 2.80),
               libgtk-4-dev (>= 4.19.4),
               libgtksourceview-5-dev (>= 5.15.0),
               libicu-dev,
               libspelling-1-dev,
               meson
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-text-editor
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-text-editor.git
Homepage: https://apps.gnome.org/TextEditor/

Package: gnome-text-editor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: simple text editor for GNOME
 GNOME Text Editor is a simple editor for GNOME focused on being a good
 general purpose default editor.
 .
 It works hard to keep track of changes and state even if you quit the
 application. You can come back to your work even if you've never saved
 it to a file.
 .
 It is simpler than gedit.

=== debian/tests/control ===
Tests: version
Restrictions: superficial
Depends: gnome-text-editor
